<?php

namespace Insign\PostCore\Api;


interface AddressAutocompleteInterface
{

    const AUTOCOMPLETE_TYPE_DOMICILE = 'DOMICILE';
    const AUTOCOMPLETE_TYPE_POSTBOX = 'POSTBOX';

    /**
     * Autocomplete shipping address
     *
     * @param string $zipCity
     * @return string[]
     */
    public function autocompleteField(string $zipCity): array;
}
