<?php

namespace Insign\PostCore\Api\Data;

/**
 * Interface TokenInterface
 * @package Insign\PostCore\Api\Data
 */
interface TokenInterface
{
    /**
     * @return int
     */
    public function getId();

    /**
     * @return string
     */
    public function getScope();

    /**
     * @param string $scope
     * @return void
     */
    public function setScope(string $scope);

    /**
     * @return string
     */
    public function getAccessToken();

    /**
     * @param string $accessToken
     * @return void
     */
    public function setAccessToken(string $accessToken);

    /**
     * @return int
     */
    public function getCreatedAt();

    /**
     * @return int
     */
    public function getUpdatedAt();

    /**
     * @param int $timestamp
     * @return void
     */
    public function setUpdatedAt(int $timestamp);
}
